> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tight.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Restore an accountant

> Restore a Tight accountant account; the response contains an OAuth 2.0 access token, which can can be used to GET/POST directly into the accountant's account



## OpenAPI

````yaml https://dev.hurdlr.com/rest/v1/devUtils/documentation?version=5&Authorization=dexfeE6aRK3zwXP4ku5aWm8w&env=sandbox post /v5/accountant/restoreAccount
openapi: 3.0.1
info:
  title: Tight API
  contact:
    name: Hurdlr, Inc. (dba Tight)
    url: https://www.tight.com
    email: api@tight.com
  version: 6.0.0
servers:
  - url: https://sandbox.hurdlr.com/rest
    description: Staging Environment
  - url: https://prod.hurdlr.com/rest
    description: Production Environment
security:
  - accessTokenSecurity: []
  - basicSecurity: []
tags:
  - name: Authentication
  - name: Banks
  - name: Business & Client Management
  - name: Invoicing
  - name: Revenue
  - name: Investments
  - name: Payouts
  - name: Bills
  - name: Expenses
  - name: Payroll
  - name: Reports
  - name: Accounting
  - name: Mileage
  - name: Taxes
  - name: Time Tracking
  - name: Imports
  - name: Files
  - name: Accountant
  - name: Audit Trail
  - name: Support
  - name: Tax Engine Express
  - name: Interview Endpoint
  - name: Ledgering
  - name: Configuration
  - name: Templates
paths:
  /v5/accountant/restoreAccount:
    post:
      tags:
        - Accountant
      summary: Restore an accountant
      description: >-
        Restore a Tight accountant account; the response contains an OAuth 2.0
        access token, which can can be used to GET/POST directly into the
        accountant's account
      operationId: postRestoreAccountantAccount
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/PartnerRestoreAccount'
        required: true
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OAuth2RetValV5'
      security:
        - accessTokenSecurity: []
components:
  schemas:
    PartnerRestoreAccount:
      required:
        - access_token
        - client_id
        - client_secret
      type: object
      properties:
        client_id:
          type: string
          description: The client_id of the Tight Partner
          example: fake_client_id
        client_secret:
          type: string
          description: The client_secret of the Tight Partner
          example: fake_client_secret
        access_token:
          type: string
          description: access_token of the account to be restored
          example: '1234'
      description: PartnerRestoreAccount APIParam
      xml:
        name: PartnerRestoreAccount
    OAuth2RetValV5:
      type: object
      properties:
        result:
          type: string
          example: SUCCESS
          enum:
            - SUCCESS
            - INVALID_CREDENTIALS
            - SUCCESS_TEMP_PASSWORD
            - SUCCESS_PASSWORD_EXPIRED
            - SUCCESS_HAS_NO_PASSWORD
            - FAILURE
            - SUCCESS_UPDATED
            - INVALID_PLATFORM
        oAuth:
          $ref: '#/components/schemas/OAuth2RetValV2'
        error:
          type: object
          description: Description of errors
    OAuth2RetValV2:
      type: object
      properties:
        access_token:
          type: string
          example: >-
            00f6b2b68eb9459eab681d19aa86c6154e225068f3074d1d9b639316d5380a4c.91d620872c3b438ba33f4baaca124624
        refresh_token:
          type: string
          example: >-
            7369c0ee82194721ac6f633ec16206f348680736e80e4aacb85d4fbce0ee9669.56b43c61141541dc858dd8613959389a
        expires_in:
          type: integer
          format: int32
          example: 7776000
        created_at:
          type: integer
          format: int64
          example: 1599065168
        scope:
          type: string
          example: token
  securitySchemes:
    accessTokenSecurity:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: /auth/account
          scopes:
            write: ''

````